Name:          python-caches
Version:       3.0.0
Release:       2mamba
Summary:       Python caching backed by Redis
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/caches/
Source:        https://pypi.debian.net/caches/caches-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(datatypes)
BuildRequires: python3.11dist(dsnparse)
BuildRequires: python3.11dist(redis)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n caches-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/caches-%{version}-py*.egg-info
%{python_sitearch}/caches-%{version}-py*.egg-info/*

%changelog
* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 3.0.0-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Sun Oct 24 2021 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Fri Apr 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.18-1mamba
- package created using the webbuild interface
